The Spring Framework

## org.springframework.mail.javamail
Class InternetAddressEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.mail.javamail.InternetAddressEditor

All Implemented Interfaces:
  PropertyEditor

    public class InternetAddressEditor

extends PropertyEditorSupport

Editor for `java.mail.internet.InternetAddress`, to directly populate an InternetAddress property.

Expects the same syntax as InternetAddress's constructor with a String argument. Converts empty Strings into null values.

Since:
  1.2.3
Author:
  Juergen Hoeller
See Also:
  `InternetAddress`

Constructor Summary
`InternetAddressEditor()`

Method Summary
`String` `getAsText()`
`void` `setAsText(String text)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternetAddressEditor

    public InternetAddressEditor()

Method Detail

### setAsText

    public void setAsText(String text)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

### getAsText

    public String getAsText()

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.